Bug 1266969 - [abrt] poedit: pthread_cond_wait@@GLIBC_2.3.2(): poedit killed by SIGSEGV
[abrt] poedit: pthread_cond_wait@@GLIBC_2.3.2(): poedit killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: poedit (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4b25d27c72b8196ac3cc117effb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 13:06 EDT by c72578
Modified: 2015-10-09 18:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: poedit-1.8.5-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 18:18:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (69.30 KB, text/plain)
2015-09-28 13:06 EDT, c72578
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-28 13:06 EDT, c72578
no flags Details
File: core_backtrace (26.56 KB, text/plain)
2015-09-28 13:06 EDT, c72578
no flags Details
File: dso_list (12.72 KB, text/plain)
2015-09-28 13:06 EDT, c72578
no flags Details
File: environ (3.37 KB, text/plain)
2015-09-28 13:06 EDT, c72578
no flags Details
File: exploitable (100 bytes, text/plain)
2015-09-28 13:06 EDT, c72578
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-28 13:06 EDT, c72578
no flags Details
File: maps (65.08 KB, text/plain)
2015-09-28 13:06 EDT, c72578
no flags Details
File: open_fds (2.93 KB, text/plain)
2015-09-28 13:06 EDT, c72578
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-09-28 13:06 EDT, c72578
no flags Details

  None (edit)
Description c72578 2015-09-28 13:06:38 EDT
Description of problem:
The return key was pressed in the translation field of Poedit

Version-Release number of selected component:
poedit-1.8.1-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        poedit
crash_function: pthread_cond_wait@@GLIBC_2.3.2
executable:     /usr/bin/poedit
kernel:         4.1.7-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 9 (2 frames)
 #0 pthread_cond_wait@@GLIBC_2.3.2 at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 #1 std::condition_variable::wait(std::unique_lock<std::mutex>&) at /usr/src/debug/gcc-4.9.2-20150212/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/x86_64-redhat-linux/bits/gthr-default.h:864
Comment 1 c72578 2015-09-28 13:06:44 EDT
Created attachment 1078007 [details]
File: backtrace
Comment 2 c72578 2015-09-28 13:06:45 EDT
Created attachment 1078008 [details]
File: cgroup
Comment 3 c72578 2015-09-28 13:06:47 EDT
Created attachment 1078009 [details]
File: core_backtrace
Comment 4 c72578 2015-09-28 13:06:49 EDT
Created attachment 1078010 [details]
File: dso_list
Comment 5 c72578 2015-09-28 13:06:50 EDT
Created attachment 1078011 [details]
File: environ
Comment 6 c72578 2015-09-28 13:06:52 EDT
Created attachment 1078012 [details]
File: exploitable
Comment 7 c72578 2015-09-28 13:06:53 EDT
Created attachment 1078013 [details]
File: limits
Comment 8 c72578 2015-09-28 13:06:56 EDT
Created attachment 1078014 [details]
File: maps
Comment 9 c72578 2015-09-28 13:06:57 EDT
Created attachment 1078015 [details]
File: open_fds
Comment 10 c72578 2015-09-28 13:06:59 EDT
Created attachment 1078016 [details]
File: proc_pid_status
Comment 11 Fedora Update System 2015-09-28 14:34:34 EDT
poedit-1.8.5-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-eaf6a20319
Comment 12 Fedora Update System 2015-09-29 00:50:18 EDT
poedit-1.8.5-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update poedit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-eaf6a20319
Comment 13 Fedora Update System 2015-10-09 18:18:01 EDT
poedit-1.8.5-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.